# Uses of Class
net.postgis.jdbc.geometry.binary.ValueGetter

Packages that use ValueGetter
Package
Description
net.postgis.jdbc.geometry.binary

## Uses of ValueGetter in net.postgis.jdbc.geometry.binary

Subclasses of ValueGetter in net.postgis.jdbc.geometry.binary
Modifier and Type
Class
Description
`static class`
`ValueGetter.NDR`
`static class`
`ValueGetter.XDR`
Methods in net.postgis.jdbc.geometry.binary that return ValueGetter
Modifier and Type
Method
Description
`static ValueGetter`
BinaryParser.`valueGetterForEndian(ByteGetter bytes)`
Get the appropriate ValueGetter for my endianness
Methods in net.postgis.jdbc.geometry.binary with parameters of type ValueGetter
Modifier and Type
Method
Description
`protected Geometry`
BinaryParser.`parseGeometry(ValueGetter data)`
Parse a geometry starting at offset.